# Generated from googl-0.7.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name googl

Name: rubygem-%{gem_name}
Version: 0.7.1
Release: 1%{?dist}
Summary: Wrapper for Google URL Shortener API
License: MIT
URL: http://github.com/zigotto/googl
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.10
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(jeweler) >= 1.8.3
# BuildRequires: rubygem(webmock) >= 1.8.6
# BuildRequires: rubygem(webmock) < 1.9
# BuildRequires: rubygem(timecop) >= 0.7.1
# BuildRequires: rubygem(timecop) < 0.8
BuildArch: noarch

%description
Small library for Google URL Shortener API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.markdown
%{gem_instdir}/Rakefile
%{gem_instdir}/googl.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.7.1-1
- Initial package
